

---------------------------------------------------------------------------------
-- Metadata Updates
---------------------------------------------------------------------------------

--Defect S0638743
update FRH_PROPERTY set  property_value = 'BEST.',property_desc  = 'Specifies the format to use when User Variable numeric values are stored in FRH_Vxx_VARIABLE tables'  
where property_type  = 'etl'
and   property_name  = 'saspgm_numeric_format';

--Defect S0646055
update FRH_PROPERTY set property_value = 'recfm=F lrecl=4613'
where property_type  = 'consort'
and   property_name  = 'CONSORT_FLOPT';

--Defect S0641072
update frh_field_definition set field_name = 'grp_sys_block_1_until_date'
where field_name = 'gro_sys_block_1_until_date' and
segment_id = (select segment_id  from frh_SEGMENT_DEFINITION  where 
segment_acronym = 'GRP');

update frh_field_definition set field_name = 'grp_sys_block_2_until_date'
where field_name = 'gro_sys_block_2_until_date' and
segment_id = (select segment_id  from frh_SEGMENT_DEFINITION  where 
segment_acronym = 'GRP');

update frh_field_definition set field_name = 'grp_sys_block_1_until_time'
where field_name = 'gro_sys_block_1_until_time' and
segment_id = (select segment_id  from frh_SEGMENT_DEFINITION  where 
segment_acronym = 'GRP');

update frh_field_definition set field_name = 'grp_sys_block_2_until_time'
where field_name = 'gro_sys_block_2_until_time' and
segment_id = (select segment_id  from frh_SEGMENT_DEFINITION  where 
segment_acronym = 'GRP');

update frh_field_definition set field_visible_ind = '0'
where segment_id in (select segment_id  from frh_SEGMENT_DEFINITION  where 
segment_acronym in ('GRP','CMX'));



---------------------------------------------------------------------------------
-- update the ddl version
---------------------------------------------------------------------------------
insert into frh_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.1.0.2 ', current date, '3.1.0.2 Hofix DDL', 'DDL')